use std::path::{Path, PathBuf};


#[derive(Debug, clap::Parser)]
pub struct CliArgs {
    /// Manifest path
    #[arg(long, short)]
    manifest: Option<camino::Utf8PathBuf>,
    /// Debug mode
    #[arg(long, short)]
    pub debug: bool,
}

impl CliArgs {
    pub fn manifest_path(&self) -> Option<PathBuf> {
        Some(self.manifest.clone()?.into_std_path_buf())
    }
}
